Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | Private Member Functions | List of all members
eZQDomGenerator Class Reference

## Public Member Functions
| __construct (&$contents)
& | generateXML ()
& | generateHr ( $tmpPage)
& | generateHTML ( $tmpPage)
& | decodeXML ( $htmlSpecialChars=false)
& | decodeRollOver ( $paragraph)
& | decodeHeader ( $paragraph)
& | decodeHr ( $paragraph)
| pageCount ()

## Public Attributes
| $Contents
| $PageCount
| $CustomTagsArray
| $Level

## Private Member Functions
& | generatePage ( $tmpPage)
& | generateUnknowns ( $tmpPage)
& | generateImage ( $tmpPage)
& | generateRollOver ( $tmpPage)
& | generateMedia ( $tmpPage)
& | generateFile ( $tmpPage)
& | generateHeader ( $tmpPage)
& | generateTable ( $tmpPage)
& | generateForm ( $tmpPage)
& | generateLink ( $tmpPage)
| decodePage ( $page)
& | decodeImage ( $paragraph)
& | decodeMedia ( $paragraph)
& | decodeFile ( $paragraph)
& | decodeLink ( $paragraph)
& | decodeTable ( $paragraph)
& | decodeStandards ( $paragraph)
& | decodeCustom ( $paragraph)

## Detailed Description

! eZArticle eZTechGenerator generates XML contents for articles.

This class will generate a tech XML article. This class is ment as an example of how to write your own special generator.

TODO

Definition at line 41 of file ezqdomgenerator.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZQDomGenerator::__construct | ( | & | $contents | ) |

Creates a new eZQDomGenerator object.

Definition at line 46 of file ezqdomgenerator.php.

References $contents, and $ini.

## Member Function Documentation

## ◆ decodeCustom()

& eZQDomGenerator::decodeCustom | ( |  | $paragraph | ) |
| private

Decodes the custom tags.

Definition at line 1170 of file ezqdomgenerator.php.

References $content, decodeFile(), decodeHeader(), decodeImage(), decodeLink(), decodeMedia(), decodeRollOver(), decodeStandards(), and decodeTable().

Referenced by decodePage(), decodeStandards(), and decodeTable().

## ◆ decodeFile()

& eZQDomGenerator::decodeFile | ( |  | $paragraph | ) |
| private

Definition at line 701 of file ezqdomgenerator.php.

Referenced by decodeCustom(), decodePage(), decodeStandards(), and decodeTable().

## ◆ decodeHeader()

& eZQDomGenerator::decodeHeader | ( |  | $paragraph | ) |

Decodes header tags

Definition at line 558 of file ezqdomgenerator.php.

References $content, and $level.

Referenced by decodeCustom(), decodePage(), decodeStandards(), and decodeTable().

## ◆ decodeHr()

& eZQDomGenerator::decodeHr | ( |  | $paragraph | ) |

Definition at line 729 of file ezqdomgenerator.php.

Referenced by decodePage(), and decodeTable().

## ◆ decodeImage()

& eZQDomGenerator::decodeImage | ( |  | $paragraph | ) |
| private

Definition at line 603 of file ezqdomgenerator.php.

Referenced by decodeCustom(), decodePage(), decodeStandards(), and decodeTable().

## ◆ decodeLink()

& eZQDomGenerator::decodeLink | ( |  | $paragraph | ) |
| private

Definition at line 743 of file ezqdomgenerator.php.

References $id.

Referenced by decodeCustom(), decodePage(), decodeStandards(), and decodeTable().

## ◆ decodeMedia()

& eZQDomGenerator::decodeMedia | ( |  | $paragraph | ) |
| private

Definition at line 674 of file ezqdomgenerator.php.

Referenced by decodeCustom(), decodePage(), decodeStandards(), and decodeTable().

## ◆ decodePage()

eZQDomGenerator::decodePage | ( |  | $page | ) |
| private

Definition at line 469 of file ezqdomgenerator.php.

References $page, decodeCustom(), decodeFile(), decodeHeader(), decodeHr(), decodeImage(), decodeLink(), decodeMedia(), decodeRollOver(), decodeStandards(), and decodeTable().

Referenced by decodeXML().

## ◆ decodeRollOver()

& eZQDomGenerator::decodeRollOver | ( |  | $paragraph | ) |

Decodes rollover tags

Definition at line 495 of file ezqdomgenerator.php.

References $content, and $url.

Referenced by decodeCustom(), decodePage(), decodeStandards(), and decodeTable().

## ◆ decodeStandards()

& eZQDomGenerator::decodeStandards | ( |  | $paragraph | ) |
| private

Definition at line 1021 of file ezqdomgenerator.php.

References $content, decodeCustom(), decodeFile(), decodeHeader(), decodeImage(), decodeLink(), decodeMedia(), decodeRollOver(), and decodeTable().

Referenced by decodeCustom(), decodePage(), and decodeTable().

## ◆ decodeTable()

& eZQDomGenerator::decodeTable | ( |  | $paragraph | ) |
| private

Definition at line 912 of file ezqdomgenerator.php.

References $contents, $row, decodeCustom(), decodeFile(), decodeHeader(), decodeHr(), decodeImage(), decodeLink(), decodeMedia(), decodeRollOver(), and decodeStandards().

Referenced by decodeCustom(), decodePage(), and decodeStandards().

## ◆ decodeXML()

& eZQDomGenerator::decodeXML | ( |  | $htmlSpecialChars = `false` | ) |

Decodes the xml chunk and returns the original array to the article.

If htmlSpecialChars == true the output is converted to HTML special chars like: > and <...

Definition at line 395 of file ezqdomgenerator.php.

References $article, $i, $page, decodePage(), and eZXML\domTree().

## ◆ generateFile()

& eZQDomGenerator::generateFile | ( |  | $tmpPage | ) |
| private

Converts file tags to XML tags.

Definition at line 203 of file ezqdomgenerator.php.

Referenced by generatePage().

## ◆ generateForm()

& eZQDomGenerator::generateForm | ( |  | $tmpPage | ) |
| private

Definition at line 252 of file ezqdomgenerator.php.

Referenced by generatePage().

## ◆ generateHeader()

& eZQDomGenerator::generateHeader | ( |  | $tmpPage | ) |
| private

Definition at line 223 of file ezqdomgenerator.php.

Referenced by generatePage().

## ◆ generateHr()

& eZQDomGenerator::generateHr | ( |  | $tmpPage | ) |

Definition at line 211 of file ezqdomgenerator.php.

Referenced by generatePage().

## ◆ generateHTML()

& eZQDomGenerator::generateHTML | ( |  | $tmpPage | ) |

Will encode all character in <html></html> and

tags.

Definition at line 299 of file ezqdomgenerator.php.

References $i.

Referenced by generatePage().

## ◆ generateImage()

& eZQDomGenerator::generateImage | ( |  | $tmpPage | ) |
| private

Converts image tags to XML tags.

Definition at line 158 of file ezqdomgenerator.php.

Referenced by generatePage().

## ◆ generateLink()

& eZQDomGenerator::generateLink | ( |  | $tmpPage | ) |
| private

Converts the link tags to valid XML tags.

Definition at line 263 of file ezqdomgenerator.php.

Referenced by generatePage().

## ◆ generateMedia()

& eZQDomGenerator::generateMedia | ( |  | $tmpPage | ) |
| private

Converts media tags to XML tags.

Definition at line 192 of file ezqdomgenerator.php.

Referenced by generatePage().

## ◆ generatePage()

& eZQDomGenerator::generatePage | ( |  | $tmpPage | ) |
| private

Definition at line 99 of file ezqdomgenerator.php.

References generateFile(), generateForm(), generateHeader(), generateHr(), generateHTML(), generateImage(), generateLink(), generateMedia(), generateRollOver(), generateTable(), and generateUnknowns().

Referenced by generateXML().

## ◆ generateRollOver()

& eZQDomGenerator::generateRollOver | ( |  | $tmpPage | ) |
| private

Converts an rollover image to XML tags.

Definition at line 177 of file ezqdomgenerator.php.

Referenced by generatePage().

## ◆ generateTable()

& eZQDomGenerator::generateTable | ( |  | $tmpPage | ) |
| private

Definition at line 235 of file ezqdomgenerator.php.

Referenced by generatePage().

## ◆ generateUnknowns()

& eZQDomGenerator::generateUnknowns | ( |  | $tmpPage | ) |
| private

Definition at line 136 of file ezqdomgenerator.php.

Referenced by generatePage().

## ◆ generateXML()

& eZQDomGenerator::generateXML | ( |  | ) |

Generates valid XML data to use for storage.

Definition at line 63 of file ezqdomgenerator.php.

References $page, and generatePage().

## ◆ pageCount()

eZQDomGenerator::pageCount | ( |  | ) |

Returns the number of pages found in the article.

Definition at line 1210 of file ezqdomgenerator.php.

References $PageCount.

## Member Data Documentation

## ◆ $Contents

eZQDomGenerator::$Contents

Definition at line 1215 of file ezqdomgenerator.php.

## ◆ $CustomTagsArray

eZQDomGenerator::$CustomTagsArray

Definition at line 1218 of file ezqdomgenerator.php.

## ◆ $Level

eZQDomGenerator::$Level

Definition at line 1219 of file ezqdomgenerator.php.

## ◆ $PageCount

eZQDomGenerator::$PageCount

Definition at line 1216 of file ezqdomgenerator.php.

Referenced by pageCount().

The documentation for this class was generated from the following file:

- ezqdomgenerator.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.